Skip to main content
GET
/
v1
/
members
List workspace members
curl --request GET \
  --url https://app.chatbotx.io/api/v1/members \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "workspaceId": "<string>",
      "userId": "<string>",
      "notificationChannels": "<string>",
      "notificationTypes": "<string>",
      "permissions": {
        "superAdmin": true,
        "analytics": true,
        "flows": true,
        "contacts": true,
        "onlyAssignedContacts": true,
        "emailAndPhone": true,
        "broadcast": true,
        "ecommerce": true
      },
      "user": {
        "id": "<string>",
        "name": "<string>",
        "image": "<string>"
      }
    }
  ],
  "pageCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer | null
Required range: 1 <= x <= 9007199254740991
perPage
integer | null
Required range: 1 <= x <= 9007199254740991
sort
object[] | null
keyword
string | null

Response

200 - application/json

OK

data
object[]
required
pageCount
number
required